import { forwardRef, Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { UsersService } from './users.service';
import { UsersController } from './users.controller';
import { User } from './entities/user.entity';
import { TransactionModule } from 'src/transaction/transaction.module';
import { ConfigurableModule } from 'src/configurable/configurable.module';
import { SupplierService } from './supplier.service';
import { Supplier } from './entities/supplier.entity';

@Module({
  imports: [
    TypeOrmModule.forFeature([User, Supplier]),
    forwardRef(() => TransactionModule),
    ConfigurableModule,
  ],
  controllers: [UsersController],
  providers: [UsersService, SupplierService],
  exports: [UsersService, SupplierService],
})
export class UsersModule {}
